Bug 502466 - liveinst rewrites ifcfg-eth0 without NM_CONTROLLED=no
liveinst rewrites ifcfg-eth0 without NM_CONTROLLED=no
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-25 07:44 EDT by Mads Kiilerich
Modified: 2009-06-02 16:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 16:26:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0003-Test-NM_CONTROLLED-setting-correctly-in-network.py.patch (1.80 KB, patch)
2009-06-01 23:23 EDT, David Cantrell
no flags Details | Diff

  None (edit)
Description Mads Kiilerich 2009-05-25 07:44:47 EDT
Description of problem:

AFAICS liveinst rewrites ifcfg-eth0 based on the current values from the running livecd. That is generally very nice.

BUT it leaves out NM_CONTROLLED. That is unexpected and problematic in some cases when creating installable custom livecds (which I was doing).


Version-Release number of selected component (if applicable):

anaconda-11.4.1.63-1.i386
Comment 1 Mads Kiilerich 2009-05-25 08:21:06 EDT
I notice some awareness of NM_CONTROLLED in /usr/lib/anaconda/network.py, but it seems like it doesn't try to write NM_CONTROLLED.

Probably unrelated, but AFAIK _only_ NM_CONTROLLED=no (case sensitive) has any semantics to NM, so the checks for yes case insensitive or empty is not correct.
Comment 2 David Cantrell 2009-06-01 23:23:42 EDT
Created attachment 346166 [details]
0003-Test-NM_CONTROLLED-setting-correctly-in-network.py.patch

Patch to preserve NM_CONTROLLED variable on custom live images.  Awaiting patch review.
Comment 3 David Cantrell 2009-06-02 16:26:17 EDT
Patched committed to master branch in git, will be in the next anaconda build for rawhide.
Comment 4 Mads Kiilerich 2009-06-02 16:50:30 EDT
Thanks.

I noticed the actual NM parsing is done in
http://cgit.freedesktop.org/NetworkManager/NetworkManager/tree/system-settings/plugins/ifcfg-rh/reader.c#n2105 . Actually both n, no and false can be used. It would be simpler if only one was supported, but perhaps you want to support all of them.

Note You need to log in before you can comment on or make changes to this bug.